### Method

# Clutter Actor set_height

#### Declaration [src]

    void
    clutter_actor_set_height (
      ClutterActor* self,
      gfloat height
    )

#### Description [src]

Forces a height on an actor, causing the actor’s preferred width and height (if any) to be ignored.

If `height` is -1 the actor will use its preferred height instead of overriding it, i.e. you can “unset” the height with -1.

This function sets both the minimum and natural size of the actor.

Sets property | `Clutter.Actor:height`

#### Parameters

`height`

  Type: `gfloat`

  Requested new height for the actor, in pixels, or -1.